[SciPy-user] compile/installation problems

Kenneth Kalan Consult@KandA-Ltd....
Tue Jan 22 16:18:00 CST 2008


I'm trying to build a RHEL 5 x64 rpm of scipy.  It keeps failing and the
problem seems to be related to umfpack.

I've built
ufsparse-2.1.1-1.fc6.src.rpm

build/src.linux-x86_64-2.4/scipy/linsolve/umfpack/_umfpack_wrap.c:6189:
error: too few arguments to function '__builtin_object_size'
build/src.linux-x86_64-2.4/scipy/linsolve/umfpack/_umfpack_wrap.c:6189:
error: expected expression before ')' token
build/src.linux-x86_64-2.4/scipy/linsolve/umfpack/_umfpack_wrap.c:6189:
error: too few arguments to function '__builtin___memcpy_chk'
build/src.linux-x86_64-2.4/scipy/linsolve/umfpack/_umfpack_wrap.c:6189:
error: expected expression before ')' token
build/src.linux-x86_64-2.4/scipy/linsolve/umfpack/_umfpack_wrap.c:6189:
error: too few arguments to function '__memcpy_ichk'

I don't see any reference to a version of umfpack and would like to know
if the version in ufsparse above is the correct one, or do I need to
specifically build another.

Thanks,

Ken


More information about the SciPy-user mailing list